From ad7b1298fc240273b5d35c990d8d757fd83c497b Mon Sep 17 00:00:00 2001
From: Corwin Brust <corwin@bru.st>
Date: Tue, 28 Mar 2023 14:10:44 -0500
Subject: [PATCH] ; update FTP download instructions for Windows

* admin/nt/dist-build/README-windows-binaries: snapshots are now
versioned with Emacs major version (e.g. 30) and the revision short
id (and no longer include a date).
---
 admin/nt/dist-build/README-windows-binaries | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

diff --git a/admin/nt/dist-build/README-windows-binaries b/admin/nt/dist-build/README-windows-binaries
index f53558960c4..6c348034122 100644
--- a/admin/nt/dist-build/README-windows-binaries
+++ b/admin/nt/dist-build/README-windows-binaries
@@ -4,7 +4,7 @@ See the end of the file for license conditions.
 		      Precompiled Distributions of
 			   Emacs for Windows
 
-                           Jan 14, 2021
+                           March 28, 2023
 
   This directory contains precompiled distributions for GNU Emacs on
   Windows
@@ -42,7 +42,7 @@ emacs-$VERSION-no-deps.zip
 
 Contains Emacs without any dependencies. This may be useful if you
 wish to install where the dependencies are already available, or if
-you want the small possible Emacs.
+you want the smallest possible Emacs.
 
 In addition, we provide the following files which will not be useful
 for most end-users.
@@ -70,10 +70,19 @@ development cycle, for those interested in following this cycle.  They
 are not recommended for normal users; however, they are useful for
 people who want to report bugs against the current master.
 
-The files follow the same naming convention, but also include a date
-(and sometimes information about their branch).  The Emacs source at
-the time of these builds is also distributed.
+The Emacs source at the time of these builds is also distributed,
+typically as emacs-$VERSION-src.zip.
 
+$VERSION
+========
+
+In the case of release (and pre-release) versions of Emacs, $VERSION
+is simply the version of Emacs provided/supported by the binary
+release package.
+
+For snapshots, $VERSION is:
+
+  ${EMACS_MAJOR_VERSION}-${BRANCH_REV_SHORT_ID}
 
 LICENSE
 ======
@@ -91,4 +100,4 @@ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
-along with GNU Emacs.  If not, see https://www.gnu.org/licenses/.
+along with GNU Emacs.  If not, see https://www.gnu.org/licenses/.
\ No newline at end of file
-- 
2.40.0.windows.1

